com.microsoft.sqlserver.jdbc

## Interface ISQLServerConnection

All Superinterfaces:
  AutoCloseable, Connection, Wrapper

All Known Implementing Classes:
  SQLServerConnection

    public interface ISQLServerConnection
    extends Connection

ALL THE non JDBC public methods of SQLServerConnection in should be defined here.

### Field Summary

Fields
`static int` `TRANSACTION_SNAPSHOT`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`UUID` `getClientConnectionId()`

### Methods inherited from interface java.sql.Connection

`abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### TRANSACTION_SNAPSHOT

    static final int TRANSACTION_SNAPSHOT

See Also:
  Constant Field Values

### Method Detail

#### getClientConnectionId

    UUID getClientConnectionId()
                        throws SQLException

Throws:
  `SQLException`